- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.TestSettingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties/testSettings#body.aspect_1)

**Full name**: projects.locations.instances.moduleSettings.properties.testSettings

Tests the provided configuration properties. Use this method to validate settings (e.g., connectivity for email servers) before applying them. Currently, this validation is primarily supported for email settings modules.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/properties:testSettings`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where the module settings are located. Format: projects/{project}/locations/{location}/instances/{instance}/moduleSettings/{module} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "properties": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties#ModuleSettingsProperty`) } ] } ``` |

| Fields ||
|---|---|
| `properties[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.moduleSettings.properties#ModuleSettingsProperty`)`` Required. Properties to test Format: projects/{project}/locations/{location}/instances/{instance}/moduleSettings/{module}/properties/{property} |

### Response body

Response message for testSettings.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "success": boolean, "message": string } ``` |

| Fields ||
|---|---|
| `success` | `boolean` Did the test finish successfully |
| `message` | `string` Execution message, if provided |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.moduleSettingsProperties.testSettings`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).